Bug 904949 - StaleObjectStateException: upon process signalling.
StaleObjectStateException: upon process signalling.
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 5.3.1
Assigned To: tcunning
Marek Baluch
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 04:00 EST by Marek Baluch
Modified: 2015-08-02 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 04:43:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-01-28 04:00:16 EST
Description of problem
----------------------
For a simple process with expects another message after an instance has been created the signal can be made just once. In case another instance is created then the attempt to signal will fail with a 

StaleObjectStateException: Row was updated or deleted by another transaction. 

Looks like the issue is related to the method:
public Environment getEnvironment(Map<String, Object> overrides);

This method creates a new Environment each time it's called which seems to be the source of the problem.


How reproducible
----------------
Use the attached quickstart.


Steps to Reproduce
------------------
1. ant deploy
2. ant runtest (first run is OK)
3. ant runtest (second run will FAIL)
  
Actual results: output from steps to reproduce 2 and 3
------------------------------------------------------
##### Starting process: 
[Empty].
Hello 1: Laurel
##### Process started: 
[Empty]
##### Signalling process: 
[Empty]
Hello 2: Hardy
##### Process signalled:

##### Starting process: 
[Empty].
Hello 1: Laurel
org.hibernate.StaleObjectStateException: Row was updated or deleted by another transaction (or unsaved-value mapping was incorrect)


Expected results: output from steps to reproduce 2 and 3
--------------------------------------------------------
##### Starting process: 
[Empty].
Hello 1: Laurel
##### Process started: 
[Empty]
##### Signalling process: 
[Empty]
Hello 2: Hardy
##### Process signalled:

##### Starting process: 
[Empty].
Hello 1: Laurel
##### Process started: 
[Empty]
##### Signalling process: 
[Empty]
Hello 2: Hardy
##### Process signalled:
Comment 1 Marek Baluch 2013-01-28 04:43:20 EST
Created a duplicate by mistake. BZ had some "service not available" issues and the record was created twice.

Closing this one as duplicate.

*** This bug has been marked as a duplicate of bug 904952 ***
Comment 2 Marek Baluch 2013-02-15 04:27:25 EST
Verified on 5.3.1.CR1.

Note You need to log in before you can comment on or make changes to this bug.